Page MenuHomePhabricator

Project pages inaccessible on several projects because of spaces in wgMetaNamespace(Talk)
Closed, ResolvedPublicBUG REPORT

Description

Project pages on several projects are inaccessible because spaces are in wgMetaNamespace.

Affected projects

At least:

  • ur.wikiquote
  • ur.wikibooks
  • ur.wiktionary

A space was also found in wgMetaNamespaceTalk for aswikisource. It is not clear whether that is currently having any effect on that wiki.

Original description

I am clicking on some of the links in https://ur.wikiquote.org/wiki/خاص:شراکتیں/MediaWiki_message_delivery (that appear to go to the Wikiquote: namespace) but I just get the message indicating that the page does not exist. It appears that the namespace may be broken.

I wonder if something when implementing T214290.

Some more details

It appears all history pages of project namespace are inaccessible.

Got to https://ur.wikiquote.org/w/index.php?title=%D9%88%DB%8C%DA%A9%DB%8C_%D8%A7%D9%82%D8%AA%D8%A8%D8%A7%D8%B3:Community_Portal&action=history&uselang=en which is supposed to be the history page of the project page "Community Portal:ویکی اقتباس"

Expected result

The history page is displayed.

Actual result

Error message says "There is no edit history for this page." but that cannot be true, as several revisions are viewable via diff page like this edit.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 12 2019, 4:47 PM
Ammarpad renamed this task from Special:Contributions does not work on ur.wikiquote to Some links to Project namespace broken on ur.wikiquote.May 12 2019, 5:47 PM
Ammarpad added a project: MediaWiki-Page-Diffs.
Ammarpad added a subscriber: Ammarpad.

Probable tag

Ammarpad updated the task description. (Show Details)May 12 2019, 5:56 PM
Ammarpad renamed this task from Some links to Project namespace broken on ur.wikiquote to History page of Project namespace broken on ur.wikiquote.May 12 2019, 6:00 PM
Ammarpad triaged this task as High priority.
Ammarpad updated the task description. (Show Details)
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptMay 12 2019, 6:11 PM
Ammarpad updated the task description. (Show Details)May 13 2019, 5:28 AM
Aklapper renamed this task from History page of Project namespace broken on ur.wikiquote to Pages linked on history page of Project namespace on ur.wikiquote show that page does not exist.May 13 2019, 10:17 AM

I think the task title still does not reflect the real nature of the problem. Here's what I am seeing...

None of the links in the list of pages MediaWiki thinks are in the project namespace lead to existing pages:

But all links to project_talk pages do lead to existing pages (with page histories):

There are 4 redirects from main-namespace titles starting with "ویکی اقتباس" (the supposed prefix for the project namespace) that do lead to pages with content, but those pages do not have any page histories:

Similar things are being seen in urwikibooks and urwiktionary:

@zeljkofilipin: 0 pages were found when you ran namespaceDupes.php on these 3 wikis in T214290. Should that not have turned up dozens of pages on each wiki?

@Dcljr I really don't know what the script should have found.

Dcljr renamed this task from Pages linked on history page of Project namespace on ur.wikiquote show that page does not exist to Project pages inaccessible on Urdu projects ur.wikiquote, ur.wikibooks, and ur.wiktionary.May 16 2019, 7:14 AM

Renamed this to reflect the actual problem currently being observed.

Dcljr added a comment.May 16 2019, 8:37 AM

OK, wait a minute. I think I might know what the problem is.

@Tulsi_Bhagat: you used spaces in the values of "$wgMetaNamespace" in lines 3120–3122 of:

which, according to mw:Manual:$wgMetaNamespace is not allowed (you should use underscores instead, "otherwise there will be problems").

Spaces are OK in $wgSitename, but not in $wgMetaNamespace.

Change 512426 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Use underscores instead of spaces in wgMetaNamespace for several Urdu projects

https://gerrit.wikimedia.org/r/512426

Urbanecm claimed this task.May 24 2019, 8:09 PM
Urbanecm removed a project: MediaWiki-Page-Diffs.
Urbanecm added a subscriber: Urbanecm.

Okay, so first, we need to change spaces to underscores. I've uploaded a patch for that. Then, we should run namespaceDupes.php to be sure all conflicts are fixed. At some point after that, we should add tests to make this not to happen again (T223965 exists for that; and I've uploaded a patch to solve it). I think it should be possible to fix the conflict next week.

Also, removing #mediawiki-history-and-diffs, not relevant to mediawiki core, it's a bug in configuration (=a site request), not in the software itself.

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptMay 24 2019, 8:09 PM
Urbanecm renamed this task from Project pages inaccessible on Urdu projects ur.wikiquote, ur.wikibooks, and ur.wiktionary to Project pages inaccessible on several projects because of spaces in wgMetaNamespace(Talk).May 24 2019, 8:18 PM
Urbanecm updated the task description. (Show Details)
Urbanecm moved this task from Backlog to To deploy on the User-Urbanecm board.May 24 2019, 8:25 PM
Dcljr added a comment.May 25 2019, 8:40 AM

@Urbanecm please note that @Tulsi_Bhagat has submitted a patch similar, but not identical, to yours in response to T223964: Change spaces to underscores in values of $wgMetaNamespace for urwiktionary, urwikibooks and urwikiquote (which I opened on May 21 because I wasn't sure the change would actually fix the problem being discussed here -- plus, no one seemed to be doing anything in repsonse to this task):

https://gerrit.wikimedia.org/r/511868

His patch does not fix the space in the value for aswikisource in $wgMetaNamespaceTalk.

Dcljr updated the task description. (Show Details)May 25 2019, 8:53 AM
Dcljr updated the task description. (Show Details)

it should, there are no deployments on weekends, will deploy it next week.

Scheduled for Tuesday EU SWAT (11:00-12:00 UTC).

Change 512426 merged by jenkins-bot:
[operations/mediawiki-config@master] Use underscores instead of spaces in wgMetaNamespace(Talk) for several projects

https://gerrit.wikimedia.org/r/512426

Mentioned in SAL (#wikimedia-operations) [2019-05-28T11:27:43Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[:gerrit:512426|Use underscores instead of spaces in wgMetaNamespace(Talk) for several projects]] (T223039) (duration: 00m 54s)

urbanecm@mwmaint1002:~$ mwscript namespaceDupes.php urwiktionary --add-prefix=T223039 --fix
id=42985 ns=0 dbk=ویکی_لغت:تعارف -> ویکی_لغت:T223039تعارف (alternate)
id=19134 ns=0 dbk=ویکی_لغت:دیوان_عام/تجاویز -> ویکی_لغت:T223039دیوان_عام/تجاویز (alternate)
id=19129 ns=0 dbk=ویکی_لغت:دیوان_عام/تجاویزات -> ویکی_لغت:دیوان_عام/تجاویزات (no conflict)
id=18683 ns=0 dbk=ویکی_لغت:مامورین_اداری -> ویکی_لغت:T223039مامورین_اداری (alternate)
id=18681 ns=0 dbk=ویکی_لغت:منتظمین -> ویکی_لغت:T223039منتظمین (alternate)
id=18260 ns=0 dbk=ویکی_لغت:منتظمین/رائے_شماری -> ویکی_لغت:منتظمین/رائے_شماری (no conflict)
id=18632 ns=0 dbk=ویکی_لغت:منتظمین/رائے_شماری/BukhariSaeed -> ویکی_لغت:T223039منتظمین/رائے_شماری/BukhariSaeed (alternate)
id=43194 ns=0 dbk=ویکی_لغت:منتظمین/رائے_شماری/Muhammad_Umair_Mirza -> ویکی_لغت:منتظمین/رائے_شماری/Muhammad_Umair_Mirza (no conflict)
id=18547 ns=0 dbk=ویکی_لغت:منتظمین/رائے_شماری/~MMGJ~ -> ویکی_لغت:منتظمین/رائے_شماری/~MMGJ~ (no conflict)
id=18625 ns=0 dbk=ویکی_لغت:منتظمین/رائے_شماری/صارف_نام -> ویکی_لغت:منتظمین/رائے_شماری/صارف_نام (no conflict)
id=18289 ns=0 dbk=ویکی_لغت:منتظمین/رائے_شماری/عثمان_خان_شاہ -> ویکی_لغت:منتظمین/رائے_شماری/عثمان_خان_شاہ (no conflict)
id=18607 ns=0 dbk=ویکی_لغت:منتظمین/رائے_شماری/محمد_جنید_حفیظ_کھوسہ -> ویکی_لغت:منتظمین/رائے_شماری/محمد_جنید_حفیظ_کھوسہ (no conflict)
id=18738 ns=0 dbk=ویکی_لغت:نیا_لفظ_(مضمون) -> ویکی_لغت:T223039نیا_لفظ_(مضمون) (alternate)
id=18253 ns=0 dbk=ویکی_لغت:ویکی_لغت -> ویکی_لغت:ویکی_لغت (no conflict)
id=18227 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ (no conflict)
15 pages to fix, 15 were resolvable.

pagelinks from=1776 ns=0 dbk=ویکی_لغت:Welcome! -> ویکی_لغت:Welcome!
pagelinks from=8037 ns=0 dbk=ویکی_لغت:آج_کا_لفظ -> ویکی_لغت:آج_کا_لفظ
pagelinks from=8038 ns=0 dbk=ویکی_لغت:آج_کا_لفظ -> ویکی_لغت:آج_کا_لفظ
pagelinks from=8039 ns=0 dbk=ویکی_لغت:آج_کا_لفظ -> ویکی_لغت:آج_کا_لفظ
pagelinks from=8037 ns=0 dbk=ویکی_لغت:آج_کا_لفظ/نامزدگی -> ویکی_لغت:آج_کا_لفظ/نامزدگی
pagelinks from=8038 ns=0 dbk=ویکی_لغت:آج_کا_لفظ/نامزدگی -> ویکی_لغت:آج_کا_لفظ/نامزدگی
pagelinks from=8039 ns=0 dbk=ویکی_لغت:آج_کا_لفظ/نامزدگی -> ویکی_لغت:آج_کا_لفظ/نامزدگی
pagelinks from=8037 ns=0 dbk=ویکی_لغت:آج_کا_لفظ/وثق -> ویکی_لغت:آج_کا_لفظ/وثق
pagelinks from=8038 ns=0 dbk=ویکی_لغت:آج_کا_لفظ/وثق -> ویکی_لغت:آج_کا_لفظ/وثق
pagelinks from=8039 ns=0 dbk=ویکی_لغت:آج_کا_لفظ/وثق -> ویکی_لغت:آج_کا_لفظ/وثق
pagelinks from=18242 ns=0 dbk=ویکی_لغت:آموختار -> ویکی_لغت:آموختار
pagelinks from=18244 ns=0 dbk=ویکی_لغت:آموختار -> ویکی_لغت:آموختار
pagelinks from=18245 ns=0 dbk=ویکی_لغت:آموختار -> ویکی_لغت:آموختار
pagelinks from=19124 ns=0 dbk=ویکی_لغت:اشاریہ -> ویکی_لغت:اشاریہ
pagelinks from=18242 ns=0 dbk=ویکی_لغت:بنیادی_موضوعات -> ویکی_لغت:بنیادی_موضوعات
pagelinks from=18244 ns=0 dbk=ویکی_لغت:بنیادی_موضوعات -> ویکی_لغت:بنیادی_موضوعات
pagelinks from=18245 ns=0 dbk=ویکی_لغت:بنیادی_موضوعات -> ویکی_لغت:بنیادی_موضوعات
pagelinks from=1676 ns=0 dbk=ویکی_لغت:تختۂ_اعلانات_برائے_منتظمین -> ویکی_لغت:تختۂ_اعلانات_برائے_منتظمین
pagelinks from=18242 ns=0 dbk=ویکی_لغت:تصفح -> ویکی_لغت:تصفح
pagelinks from=18244 ns=0 dbk=ویکی_لغت:تصفح -> ویکی_لغت:تصفح
pagelinks from=18245 ns=0 dbk=ویکی_لغت:تصفح -> ویکی_لغت:تصفح
pagelinks from=18242 ns=0 dbk=ویکی_لغت:تعارف -> ویکی_لغت:تعارف
pagelinks from=18244 ns=0 dbk=ویکی_لغت:تعارف -> ویکی_لغت:تعارف
pagelinks from=18245 ns=0 dbk=ویکی_لغت:تعارف -> ویکی_لغت:تعارف
pagelinks from=18242 ns=0 dbk=ویکی_لغت:حقوق_نسخہ -> ویکی_لغت:حقوق_نسخہ
pagelinks from=18244 ns=0 dbk=ویکی_لغت:حقوق_نسخہ -> ویکی_لغت:حقوق_نسخہ
pagelinks from=18245 ns=0 dbk=ویکی_لغت:حقوق_نسخہ -> ویکی_لغت:حقوق_نسخہ
pagelinks from=18242 ns=0 dbk=ویکی_لغت:حوالہ_میز -> ویکی_لغت:حوالہ_میز
pagelinks from=18242 ns=0 dbk=ویکی_لغت:دیوان_عام -> ویکی_لغت:دیوان_عام
pagelinks from=18244 ns=0 dbk=ویکی_لغت:دیوان_عام -> ویکی_لغت:دیوان_عام
pagelinks from=18245 ns=0 dbk=ویکی_لغت:دیوان_عام -> ویکی_لغت:دیوان_عام
pagelinks from=18242 ns=0 dbk=ویکی_لغت:دیوان_عام/تجاویز -> ویکی_لغت:دیوان_عام/تجاویز
pagelinks from=18242 ns=0 dbk=ویکی_لغت:دیوان_عام/خبریں -> ویکی_لغت:دیوان_عام/خبریں
pagelinks from=18242 ns=0 dbk=ویکی_لغت:دیوان_عام/طرزیات -> ویکی_لغت:دیوان_عام/طرزیات
pagelinks from=18284 ns=0 dbk=ویکی_لغت:دیوان_عام/طرزیات -> ویکی_لغت:دیوان_عام/طرزیات
pagelinks from=18288 ns=0 dbk=ویکی_لغت:دیوان_عام/طرزیات -> ویکی_لغت:دیوان_عام/طرزیات
pagelinks from=19127 ns=0 dbk=ویکی_لغت:دیوان_عام/طرزیات -> ویکی_لغت:دیوان_عام/طرزیات
pagelinks from=19137 ns=0 dbk=ویکی_لغت:دیوان_عام/طرزیات -> ویکی_لغت:دیوان_عام/طرزیات
pagelinks from=19138 ns=0 dbk=ویکی_لغت:دیوان_عام/طرزیات -> ویکی_لغت:دیوان_عام/طرزیات
pagelinks from=19139 ns=0 dbk=ویکی_لغت:دیوان_عام/طرزیات -> ویکی_لغت:دیوان_عام/طرزیات
pagelinks from=18242 ns=0 dbk=ویکی_لغت:دیوان_عام/متفرقات -> ویکی_لغت:دیوان_عام/متفرقات
pagelinks from=18242 ns=0 dbk=ویکی_لغت:دیوان_عام/وثق_1 -> ویکی_لغت:دیوان_عام/وثق_1
pagelinks from=18242 ns=0 dbk=ویکی_لغت:روبہ_جات -> ویکی_لغت:روبہ_جات
pagelinks from=18244 ns=0 dbk=ویکی_لغت:روبہ_جات -> ویکی_لغت:روبہ_جات
pagelinks from=18245 ns=0 dbk=ویکی_لغت:روبہ_جات -> ویکی_لغت:روبہ_جات
pagelinks from=18272 ns=0 dbk=ویکی_لغت:روبہ_جات -> ویکی_لغت:روبہ_جات
pagelinks from=18242 ns=0 dbk=ویکی_لغت:رہنمائے_اسلوب -> ویکی_لغت:رہنمائے_اسلوب
pagelinks from=18244 ns=0 dbk=ویکی_لغت:رہنمائے_اسلوب -> ویکی_لغت:رہنمائے_اسلوب
pagelinks from=18245 ns=0 dbk=ویکی_لغت:رہنمائے_اسلوب -> ویکی_لغت:رہنمائے_اسلوب
pagelinks from=18242 ns=0 dbk=ویکی_لغت:ساتھی_منصوبے -> ویکی_لغت:ساتھی_منصوبے
pagelinks from=18244 ns=0 dbk=ویکی_لغت:ساتھی_منصوبے -> ویکی_لغت:ساتھی_منصوبے
pagelinks from=18245 ns=0 dbk=ویکی_لغت:ساتھی_منصوبے -> ویکی_لغت:ساتھی_منصوبے
pagelinks from=18242 ns=0 dbk=ویکی_لغت:سفارت_خانہ -> ویکی_لغت:سفارت_خانہ
pagelinks from=18272 ns=0 dbk=ویکی_لغت:صارف_پڑتال -> ویکی_لغت:صارف_پڑتال
pagelinks from=18242 ns=0 dbk=ویکی_لغت:فہارست_موضوعات -> ویکی_لغت:فہارست_موضوعات
pagelinks from=18244 ns=0 dbk=ویکی_لغت:فہارست_موضوعات -> ویکی_لغت:فہارست_موضوعات
pagelinks from=18245 ns=0 dbk=ویکی_لغت:فہارست_موضوعات -> ویکی_لغت:فہارست_موضوعات
pagelinks from=18242 ns=0 dbk=ویکی_لغت:فہرست_سریع -> ویکی_لغت:فہرست_سریع
pagelinks from=18244 ns=0 dbk=ویکی_لغت:فہرست_سریع -> ویکی_لغت:فہرست_سریع
pagelinks from=18245 ns=0 dbk=ویکی_لغت:فہرست_سریع -> ویکی_لغت:فہرست_سریع
pagelinks from=18242 ns=0 dbk=ویکی_لغت:قابل_تثبیت -> ویکی_لغت:قابل_تثبیت
pagelinks from=18244 ns=0 dbk=ویکی_لغت:قابل_تثبیت -> ویکی_لغت:قابل_تثبیت
pagelinks from=18245 ns=0 dbk=ویکی_لغت:قابل_تثبیت -> ویکی_لغت:قابل_تثبیت
pagelinks from=18242 ns=0 dbk=ویکی_لغت:ماخذی_فہارست -> ویکی_لغت:ماخذی_فہارست
pagelinks from=18244 ns=0 dbk=ویکی_لغت:ماخذی_فہارست -> ویکی_لغت:ماخذی_فہارست
pagelinks from=18245 ns=0 dbk=ویکی_لغت:ماخذی_فہارست -> ویکی_لغت:ماخذی_فہارست
pagelinks from=1676 ns=0 dbk=ویکی_لغت:مامورین_اداری -> ویکی_لغت:مامورین_اداری
pagelinks from=18242 ns=0 dbk=ویکی_لغت:مامورین_اداری -> ویکی_لغت:مامورین_اداری
pagelinks from=18244 ns=0 dbk=ویکی_لغت:مامورین_اداری -> ویکی_لغت:مامورین_اداری
pagelinks from=18245 ns=0 dbk=ویکی_لغت:مامورین_اداری -> ویکی_لغت:مامورین_اداری
pagelinks from=18272 ns=0 dbk=ویکی_لغت:مامورین_اداری -> ویکی_لغت:مامورین_اداری
pagelinks from=18542 ns=0 dbk=ویکی_لغت:مضمون_لکھاری -> ویکی_لغت:مضمون_لکھاری
pagelinks from=18242 ns=0 dbk=ویکی_لغت:مطلوبہ_مضامین -> ویکی_لغت:مطلوبہ_مضامین
pagelinks from=18244 ns=0 dbk=ویکی_لغت:مطلوبہ_مضامین -> ویکی_لغت:مطلوبہ_مضامین
pagelinks from=18245 ns=0 dbk=ویکی_لغت:مطلوبہ_مضامین -> ویکی_لغت:مطلوبہ_مضامین
pagelinks from=18242 ns=0 dbk=ویکی_لغت:معاونت -> ویکی_لغت:معاونت
pagelinks from=18244 ns=0 dbk=ویکی_لغت:معاونت -> ویکی_لغت:معاونت
pagelinks from=18245 ns=0 dbk=ویکی_لغت:معاونت -> ویکی_لغت:معاونت
pagelinks from=18242 ns=0 dbk=ویکی_لغت:معاونت_میز -> ویکی_لغت:معاونت_میز
pagelinks from=18244 ns=0 dbk=ویکی_لغت:معاونت_میز -> ویکی_لغت:معاونت_میز
pagelinks from=18245 ns=0 dbk=ویکی_لغت:معاونت_میز -> ویکی_لغت:معاونت_میز
pagelinks from=18242 ns=0 dbk=ویکی_لغت:معروفیت -> ویکی_لغت:معروفیت
pagelinks from=18244 ns=0 dbk=ویکی_لغت:معروفیت -> ویکی_لغت:معروفیت
pagelinks from=18245 ns=0 dbk=ویکی_لغت:معروفیت -> ویکی_لغت:معروفیت
pagelinks from=18242 ns=0 dbk=ویکی_لغت:منتظمین -> ویکی_لغت:منتظمین
pagelinks from=18244 ns=0 dbk=ویکی_لغت:منتظمین -> ویکی_لغت:منتظمین
pagelinks from=18245 ns=0 dbk=ویکی_لغت:منتظمین -> ویکی_لغت:منتظمین
pagelinks from=18266 ns=0 dbk=ویکی_لغت:منتظمین -> ویکی_لغت:منتظمین
pagelinks from=18272 ns=0 dbk=ویکی_لغت:منتظمین -> ویکی_لغت:منتظمین
pagelinks from=1676 ns=0 dbk=ویکی_لغت:منتظمین/رائے_شماری -> ویکی_لغت:منتظمین/رائے_شماری
pagelinks from=18242 ns=0 dbk=ویکی_لغت:منتظمین/رائے_شماری -> ویکی_لغت:منتظمین/رائے_شماری
pagelinks from=18244 ns=0 dbk=ویکی_لغت:منتظمین/رائے_شماری -> ویکی_لغت:منتظمین/رائے_شماری
pagelinks from=18245 ns=0 dbk=ویکی_لغت:منتظمین/رائے_شماری -> ویکی_لغت:منتظمین/رائے_شماری
pagelinks from=18242 ns=0 dbk=ویکی_لغت:موضوعات_مضامین -> ویکی_لغت:موضوعات_مضامین
pagelinks from=18244 ns=0 dbk=ویکی_لغت:موضوعات_مضامین -> ویکی_لغت:موضوعات_مضامین
pagelinks from=18245 ns=0 dbk=ویکی_لغت:موضوعات_مضامین -> ویکی_لغت:موضوعات_مضامین
pagelinks from=18242 ns=0 dbk=ویکی_لغت:ویکی_لغت -> ویکی_لغت:ویکی_لغت
pagelinks from=18244 ns=0 dbk=ویکی_لغت:ویکی_لغت -> ویکی_لغت:ویکی_لغت
pagelinks from=18245 ns=0 dbk=ویکی_لغت:ویکی_لغت -> ویکی_لغت:ویکی_لغت
pagelinks from=18252 ns=0 dbk=ویکی_لغت:ویکی_لغت -> ویکی_لغت:ویکی_لغت
pagelinks from=18242 ns=0 dbk=ویکی_لغت:ویکی_منصوبے -> ویکی_لغت:ویکی_منصوبے
pagelinks from=18244 ns=0 dbk=ویکی_لغت:ویکی_منصوبے -> ویکی_لغت:ویکی_منصوبے
pagelinks from=18245 ns=0 dbk=ویکی_لغت:ویکی_منصوبے -> ویکی_لغت:ویکی_منصوبے
pagelinks from=17944 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=18242 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=18244 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=18245 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=18411 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=18539 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=18540 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=18545 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=18546 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=18548 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=18551 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=18553 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=18554 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=18555 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=18557 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=18558 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=18560 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=18561 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=18562 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=18593 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=18627 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=18628 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=18629 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=18630 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=18631 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=18715 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=18836 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=18845 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=18930 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=18941 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=19063 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=19069 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=19070 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=19072 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=19073 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=19078 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=19079 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=19080 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=19106 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=19115 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=19128 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=19152 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=19153 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=21413 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=21550 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=42632 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=42644 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=42728 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=42754 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=42755 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=42756 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=42757 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=43195 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=43197 ns=0 dbk=ویکی_لغت:چائے_خانہ -> ویکی_لغت:چائے_خانہ
pagelinks from=18227 ns=0 dbk=ویکی_لغت:چائے_خانہ/اضافہ_حوالہ -> ویکی_لغت:چائے_خانہ/اضافہ_حوالہ
pagelinks from=18227 ns=0 dbk=ویکی_لغت:چائے_خانہ/تخلیق_صفحہ_صارف -> ویکی_لغت:چائے_خانہ/تخلیق_صفحہ_صارف
pagelinks from=18227 ns=0 dbk=ویکی_لغت:چائے_خانہ/تخلیق_مضمون -> ویکی_لغت:چائے_خانہ/تخلیق_مضمون
pagelinks from=18227 ns=0 dbk=ویکی_لغت:چائے_خانہ/تصحیح_اغلاط -> ویکی_لغت:چائے_خانہ/تصحیح_اغلاط
pagelinks from=18227 ns=0 dbk=ویکی_لغت:چائے_خانہ/سوالات -> ویکی_لغت:چائے_خانہ/سوالات
pagelinks from=18242 ns=0 dbk=ویکی_لغت:چائے_خانہ/سوالات -> ویکی_لغت:چائے_خانہ/سوالات
pagelinks from=18244 ns=0 dbk=ویکی_لغت:چائے_خانہ/سوالات -> ویکی_لغت:چائے_خانہ/سوالات
pagelinks from=18245 ns=0 dbk=ویکی_لغت:چائے_خانہ/سوالات -> ویکی_لغت:چائے_خانہ/سوالات
pagelinks from=18227 ns=0 dbk=ویکی_لغت:چائے_خانہ/پیغامات -> ویکی_لغت:چائے_خانہ/پیغامات
pagelinks from=18242 ns=0 dbk=ویکی_لغت:ہدایات_اور_حکمت_عملیاں -> ویکی_لغت:ہدایات_اور_حکمت_عملیاں
pagelinks from=18244 ns=0 dbk=ویکی_لغت:ہدایات_اور_حکمت_عملیاں -> ویکی_لغت:ہدایات_اور_حکمت_عملیاں
pagelinks from=18245 ns=0 dbk=ویکی_لغت:ہدایات_اور_حکمت_عملیاں -> ویکی_لغت:ہدایات_اور_حکمت_عملیاں
redirect from=18252 ns=0 dbk=ویکی_لغت:ویکی_لغت -> ویکی_لغت:ویکی_لغت
170 links to fix, 170 were resolvable.

Looks good!
urbanecm@mwmaint1002:~$ mwscript namespaceDupes.php urwiktionary --add-prefix=T223039 --fix
0 pages to fix, 0 were resolvable.

0 links to fix, 0 were resolvable.

Looks good!
urbanecm@mwmaint1002:~$ mwscript namespaceDupes.php aswikisource --add-prefix=T223039 --fix
id=3971 ns=0 dbk=ৱিকিউ_স_বাৰ্তা:সমজুৱা_পৃষ্ঠা -> ৱিকিউ_স_বাৰ্তা:সমজুৱা_পৃষ্ঠা (no conflict)
1 pages to fix, 1 were resolvable.

0 links to fix, 0 were resolvable.

Looks good!
urbanecm@mwmaint1002:~$
Urbanecm closed this task as Resolved.May 28 2019, 11:36 AM

Resolved. This should be fixed now. If not, reopen&comment.

Few things left to do by the community. I had to resolve namespace conflicts using namespaceDupes.php maintenance script (output is above), few of conflicts failed to resolve automatically, because there were two pages that should have one name, due to the errorneous migration. Those pages starts with T223039.

Can the community have a look at those pages, review them and delete/move as appropriate?

Dcljr added a comment.May 29 2019, 2:30 AM

@Urbanecm I see you ran namespaceDupes.php on urwiktionary (twice) and aswikisource, but did you run it for urwikibooks (I guess so, given your last comment above) and urwikiquote?

I have notified the admins on urwikiquote and urwiktionary about the resolution of this task. Since urwikibooks lacks human admins, I left a comment at their supposed Community Portal.

Yes, I've ran it second time to ensure, nothing's left, so everything should be okay.

urbanecm@mwmaint1002:~$ mwscript namespaceDupes.php urwikiquote
0 pages to fix, 0 were resolvable.

0 links to fix, 0 were resolvable.

Looks good!
urbanecm@mwmaint1002:~$

A space was found in wgMetaNamespaceTalk for aswikisource (ৱিকিউ স বাৰ্তা:সমজুৱা পৃষ্ঠা). deleted the page, but now if I try to create that page with correct name it's not linking with the project page "ৱিকিউৎস:সমজুৱা পৃষ্ঠা". Recreating the deleted page again keeps the space. Both the pages are accessible.

@Gitartha.bordoloi That's correct behaviour. The space cannot be just in configuration, since all spaces are internally represented as underscores, and technically, page "Lorem_ipsum" and "Lorem ipsum" are the same page. However, this logic works only for user-entered input (MediaWiki stores underscore, but displays space), not for configuration, and because of that, I need to change wgMetaNamespaceTalk (that's name of the variable that controls what localized name of Project talk namespace would be) in https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/+/512426/6/wmf-config/InitialiseSettings.php for aswikisource, to replace the space with an underscore, to make the wiki behave correctly.

As explained above, ৱিকিউ স বাৰ্তা:সমজুৱা পৃষ্ঠা and ৱিকিউৎস:সমজুৱা পৃষ্ঠা are two different pages in two different namespaces (first one is in Project talk, second one is in main NS, since namespace called ৱিকিউৎস doesn't exist) and as such, ৱিকিউৎস:সমজুৱা পৃষ্ঠা isn't associated with Project namespace, but with Main namespace - as it should be. I hope that explains how things works.

@Urbanecm, I couldn't understand some technical points. However your comment "namespace called ৱিকিউৎস doesn't exist" is wrong. "ৱিকিউৎস" is "wikisource" namespace and so "ৱিকিউৎস:সমজুৱা পৃষ্ঠা" is the community page and it's not in main namespace. The correct project talk page is "ৱিকিউৎস বাৰ্তা:সমজুৱা পৃষ্ঠা", not "ৱিকিউ স বাৰ্তা:সমজুৱা পৃষ্ঠা" (with space in place of ৎ that is U+09CE).

I'm sorry, I didn't check that, I assumed the first string is the meta talk namespace (Wikisource talk). Going to fix in a follow-up patch, since this is getting out of scope of this task - the project talk pages are accessible, see T226027.

Thank you. Yes, the project pages are accessible.